import { Logger } from '../shared/Logger';
import { Server } from "../Server";
import { RealmFile } from '../realms';
import * as Realm from 'realm';
export interface RealmDirectoryServiceConfig {
    tags?: string[];
}
export declare class RealmDirectoryService {
    protected logger: Logger;
    protected privateKey: string;
    protected publicKey: string;
    tags: string[];
    config: RealmDirectoryServiceConfig;
    private discovery;
    private syncedAdminRealm;
    readonly adminRealm: Realm;
    constructor(config?: RealmDirectoryServiceConfig);
    setLogger(l: Logger): void;
    find(): Promise<RealmFile[]>;
    findByPath(realmPath: string, accessToken: string): Promise<{
        path: string;
        syncLabel: string;
    }>;
    remove(realmPath: string, accessToken: string): Promise<{}>;
    private validatedRealmFile(path);
    start(server: Server): Promise<void>;
    stop(): Promise<void>;
    private createRealmFile(path, creatorId?, syncLabel?);
}
